Package net.shibboleth.idp.attribute.resolver.dc.ldap

# Class StringAttributeValueMappingStrategy

java.lang.Object
net.shibboleth.idp.attribute.resolver.dc.AbstractMappingStrategy<SearchResponse>
net.shibboleth.idp.attribute.resolver.dc.ldap.StringAttributeValueMappingStrategy

All Implemented Interfaces:
  `SearchResultMappingStrategy`, `MappingStrategy<SearchResponse>`

public class StringAttributeValueMappingStrategy extends AbstractMappingStrategy<SearchResponse> implements SearchResultMappingStrategy
A simple `SearchResultMappingStrategy` that iterates over all result entries and includes all attribute values as strings.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`StringAttributeValueMappingStrategy()`

## Method Summary

Modifier and Type
Method
Description
`Map<String,IdPAttribute>`
`map(SearchResponse results)`
Maps the given results to a collection of `IdPAttribute` indexed by the attribute's ID.

### Methods inherited from class net.shibboleth.idp.attribute.resolver.dc.AbstractMappingStrategy

`getResultRenamingMap, isMultipleResultsAnError, isNoResultAnError, setMultipleResultsAnError, setNoResultAnError, setResultRenamingMap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### StringAttributeValueMappingStrategy

public StringAttributeValueMappingStrategy()

## Method Details

### map

@Nullable @Unmodifiable @NotLive public Map<String,IdPAttribute> map(@Nonnull SearchResponse results) throws ResolutionException
Maps the given results to a collection of `IdPAttribute` indexed by the attribute's ID.

Specified by:
  `map` in interface `MappingStrategy<SearchResponse>`
Parameters:
  `results` - to map
Returns:
  the mapped attributes or null if none exist
Throws:
  `ResolutionException` - thrown if there is a problem reading data or mapping it